### Signal

# WebKit WebView::resource-load-started

unstable since: 6.0

#### Declaration

    void
    resource_load_started (
      WebKitWebView* self,
      WebKitWebResource* resource,
      WebKitURIRequest* request,
      gpointer user_data
    )

#### Description [src]

Emitted when a new resource is going to be loaded. The `request` parameter contains the `WebKitURIRequest` that will be sent to the server. You can monitor the load operation by connecting to the different signals of `resource`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0

#### Parameters

`resource`

  Type: `WebKitWebResource`

  A `WebKitWebResource`.

  The data is owned by the caller of the function.

`request`

  Type: `WebKitURIRequest`

  A `WebKitURIRequest`.

  The data is owned by the caller of the function.